Inserting an USB smartcard reader causes Firefox raising 100% CPU usage

UNCONFIRMED
Unassigned

Status

()

Core
Security
--
critical
UNCONFIRMED
2 years ago
5 months ago

People

(Reporter: Germano Massullo, Unassigned)

Tracking

({hang})

52 Branch
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

2 years ago
User Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:44.0) Gecko/20100101 Firefox/44.0
Build ID: 20160202150527

Steps to reproduce:

OS: Fedora 23

Everytime I insert an USB smartcard reader[1] (that I received with EsteID -DIGI-ID E-RESIDENT) *while* Firefox is running, it will start immediately using 100% CPU load.
To exit from Firefox, I have to kill the process.

Instead if I first insert the USB smartcard reader, and then I start Firefox, everything is okay. But sometimes if you unplug the smartcard reader while Firefox is running (normally), it will crash. I have sent many crashreports with the automatic report tool.

The service that handles the smartcard readers is pcsc-lite-1.8.15-1.fc23.x86_64

I own a Thinkpad that has an integrated smartcard reader and it has never gave me problems with Firefox, so the problem relies in the fact that you plug and unplug an USB smartcard reader.

I experience an identical problem with Thunderbird

[1]: (Advanced Card Systems, Ltd ACR38 SmartCard Reader)
(Reporter)

Comment 1

2 years ago
Thunderbird cloned bugreport
https://bugzilla.mozilla.org/show_bug.cgi?id=1246760

Comment 2

2 years ago
Can you post the crash id from about:crashes? It may help to identify the problem.
Component: Untriaged → Untriaged
Product: Firefox → Core

Updated

2 years ago
Duplicate of this bug: 1246760

Comment 4

2 years ago
bug 1218183 another example?
Severity: normal → critical
Keywords: hang

Updated

2 years ago
Component: Untriaged → Security
See Also: → bug 1218183
(Reporter)

Comment 5

2 years ago
(In reply to YF (Yang) from comment #2)
> Can you post the crash id from about:crashes? It may help to identify the
> problem.

Firefox says "unvalid address"
(Reporter)

Comment 6

2 years ago
I always provide my e-mail address in Firefox crashes, you should be able to easly find them

Comment 7

2 years ago
https://developer.mozilla.org/en-US/docs/How_to_get_a_stacktrace_for_a_bug_report
Can you to reproduce and provide the crash id with Mozilla builds, thanks.

(In reply to Germano Massullo from comment #6)
> I always provide my e-mail address in Firefox crashes, you should be able to
> easly find them

The information can be retrieve by Mozilla staff only.

Comment 8

2 years ago
Most recent crashes are 
bp-c1e1a8c8-fbd1-4491-8874-e79212160124	2016-01-24 11:47:28 	onepin-opensc-pkcs11.so@0xb746   
bp-02ab41e2-cba1-47ba-b41e-f12602160123	2016-01-23 10:28:43 	shutdownhang | libpthread-2.22.so@0x86ad   
bp-28e9b280-cd51-4ba4-9e3b-9a2482160112	2016-01-12 09:52:42 	shutdownhang | libpthread-2.22.so@0x86ad   
bp-d0ffe15f-4e86-44e1-886e-c511c2151222	2015-12-22 15:22:03 	libgobject-2.0.so.0.4600.2@0x34629   
bp-e2384d6b-343c-4a8c-bbdf-1df302151212	2015-12-12 10:31:21 	onepin-opensc-pkcs11.so@0x1e2a4
(Reporter)

Comment 9

2 years ago
[user@machine ~]$ firefox -g
MOZILLA_FIVE_HOME=/usr/lib64/firefox
  LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
DISPLAY=:0
FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
     LIBRARY_PATH=
       SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
          LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
       ADDON_PATH=
      MOZ_PROGRAM=/usr/lib64/firefox/firefox
      MOZ_TOOLKIT=
        moz_debug=1
     moz_debugger=
moz_debugger_args=
which: no ddd in (/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/user/.local/bin:/home/user/bin)
/usr/bin/gdb  --args /usr/lib64/firefox/firefox
GNU gdb (GDB) Fedora 7.10.1-30.fc23
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/lib64/firefox/firefox...Reading symbols from /usr/lib/debug/usr/lib64/firefox/firefox-bin.debug...done.
done.
(gdb) run -safe-mode
Starting program: /usr/lib64/firefox/firefox -safe-mode
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Detaching after fork from child process 31887.
[New Thread 0x7fffda02e700 (LWP 31888)]
[Thread 0x7fffda02e700 (LWP 31888) exited]
Detaching after fork from child process 31889.
[New Thread 0x7fffda02e700 (LWP 31891)]
[New Thread 0x7fffd73b3700 (LWP 31892)]
[New Thread 0x7ffff7fc4700 (LWP 31893)]
[New Thread 0x7fffd6bb2700 (LWP 31894)]
[New Thread 0x7fffd61a4700 (LWP 31895)]
[New Thread 0x7fffd5fa3700 (LWP 31896)]
[New Thread 0x7fffd5da2700 (LWP 31897)]
[New Thread 0x7fffd5ba1700 (LWP 31898)]
[New Thread 0x7fffd59a0700 (LWP 31899)]
[New Thread 0x7fffd579f700 (LWP 31900)]
[New Thread 0x7fffd559e700 (LWP 31901)]
[New Thread 0x7fffd539d700 (LWP 31902)]
[New Thread 0x7fffd40ff700 (LWP 31903)]
[New Thread 0x7fffd36ff700 (LWP 31904)]
[New Thread 0x7fffd2efe700 (LWP 31905)]
[New Thread 0x7fffd208a700 (LWP 31906)]
[New Thread 0x7fffd1889700 (LWP 31907)]
[New Thread 0x7ffff7e26700 (LWP 31912)]
[New Thread 0x7fffd09ff700 (LWP 31913)]
[New Thread 0x7fffcfcff700 (LWP 31914)]
[New Thread 0x7fffcf4fe700 (LWP 31915)]
[New Thread 0x7fffcdeff700 (LWP 31916)]
[New Thread 0x7fffcd6fe700 (LWP 31917)]
[New Thread 0x7fffccefd700 (LWP 31918)]
[New Thread 0x7fffcc6fc700 (LWP 31919)]
[New Thread 0x7fffcbefb700 (LWP 31920)]
[New Thread 0x7fffcb6fa700 (LWP 31921)]
[New Thread 0x7fffcaef9700 (LWP 31922)]
[New Thread 0x7fffca2ff700 (LWP 31923)]
[New Thread 0x7fffc9afe700 (LWP 31924)]
[New Thread 0x7fffc8521700 (LWP 31925)]
[New Thread 0x7fffc44ff700 (LWP 31935)]
[New Thread 0x7fffc3cfe700 (LWP 31936)]
[New Thread 0x7fffc34fd700 (LWP 31937)]
[New Thread 0x7fffc22ff700 (LWP 31938)]
[New Thread 0x7fffc15ff700 (LWP 31944)]
[New Thread 0x7fffc0dfe700 (LWP 31945)]
[New Thread 0x7fffc05fd700 (LWP 31946)]
[New Thread 0x7fffbfdfc700 (LWP 31947)]
[New Thread 0x7fffbf5fb700 (LWP 31948)]
[Thread 0x7fffc05fd700 (LWP 31946) exited]
[Thread 0x7fffc0dfe700 (LWP 31945) exited]
[Thread 0x7fffcf4fe700 (LWP 31915) exited]
[Thread 0x7fffbf5fb700 (LWP 31948) exited]
[Thread 0x7fffc15ff700 (LWP 31944) exited]
[New Thread 0x7fffc15ff700 (LWP 31949)]
[New Thread 0x7fffc05fd700 (LWP 31951)]
[New Thread 0x7fffc0dfe700 (LWP 31952)]
[New Thread 0x7fffd1088700 (LWP 31953)]
[New Thread 0x7fffcf4fe700 (LWP 31954)]
[New Thread 0x7fffbc6f2700 (LWP 31955)]
[New Thread 0x7fffbbef1700 (LWP 31956)]
[New Thread 0x7fffbb6f0700 (LWP 31957)]
[New Thread 0x7fffbacff700 (LWP 31958)]
[New Thread 0x7fffba4fe700 (LWP 31959)]
[New Thread 0x7fffb9cfd700 (LWP 31960)]
[New Thread 0x7fffaefff700 (LWP 31977)]
[New Thread 0x7fffac4ff700 (LWP 31979)]
[New Thread 0x7fffabcfe700 (LWP 31980)]
[New Thread 0x7fffab4fd700 (LWP 31981)]
[New Thread 0x7fffaacfc700 (LWP 31982)]
[New Thread 0x7fffaa4fb700 (LWP 31983)]
[New Thread 0x7fffa9cfa700 (LWP 31984)]
[New Thread 0x7fffa92ff700 (LWP 31985)]
[New Thread 0x7fffa8afe700 (LWP 31986)]
[New Thread 0x7fffa54ff700 (LWP 31996)]
[Thread 0x7fffa54ff700 (LWP 31996) exited]
[New Thread 0x7fffa54ff700 (LWP 32084)]
[New Thread 0x7fff75dff700 (LWP 32093)]
[Thread 0x7fffcf4fe700 (LWP 31954) exited]
[New Thread 0x7fff73cff700 (LWP 32243)]
[Thread 0x7fffbacff700 (LWP 31958) exited]
[New Thread 0x7fff6dc52700 (LWP 32285)]
[Thread 0x7fffa54ff700 (LWP 32084) exited]
[Thread 0x7fff6dc52700 (LWP 32285) exited]
[New Thread 0x7fff6d311700 (LWP 32290)]
[New Thread 0x7fffcf4fe700 (LWP 32292)]
[New Thread 0x7fffbacff700 (LWP 32302)]
[New Thread 0x7fffa54ff700 (LWP 32303)]
[Thread 0x7fffbacff700 (LWP 32302) exited]
[New Thread 0x7fffd38dc700 (LWP 32316)]
[New Thread 0x7fffce670700 (LWP 32317)]
[New Thread 0x7fffc92a0700 (LWP 32318)]
[New Thread 0x7fffc2050700 (LWP 32319)]
[New Thread 0x7fffc1a5e700 (LWP 32320)]
[New Thread 0x7fffbf560700 (LWP 32321)]
[New Thread 0x7fffb9450700 (LWP 32322)]
[New Thread 0x7fffae7fe700 (LWP 32323)]
I/SampleTable(31875): There are reordered frames present.
[New Thread 0x7fffae7bd700 (LWP 32324)]
[New Thread 0x7fffa94f9700 (LWP 32326)]
[New Thread 0x7fffae77c700 (LWP 32325)]
[New Thread 0x7fffbacff700 (LWP 32327)]
[New Thread 0x7fff6dc52700 (LWP 32328)]
[New Thread 0x7fff6c4ff700 (LWP 32329)]
[New Thread 0x7fff6bcfe700 (LWP 32330)]
[New Thread 0x7fffa94b8700 (LWP 32331)]
[New Thread 0x7fffa9477700 (LWP 32332)]
[New Thread 0x7fffa82fd700 (LWP 32333)]
I/SampleTable(31875): There are reordered frames present.
[New Thread 0x7fffa82bc700 (LWP 32335)]
[New Thread 0x7fff6b4fd700 (LWP 32334)]
[New Thread 0x7fffa827b700 (LWP 32336)]
[New Thread 0x7fffa4cfe700 (LWP 32337)]
[New Thread 0x7fff6acfc700 (LWP 32338)]
[New Thread 0x7fffa4cbd700 (LWP 32340)]
[New Thread 0x7fff6a4fb700 (LWP 32339)]
[New Thread 0x7fff69cfa700 (LWP 32341)]
I/SampleTable(31875): There are reordered frames present.
[New Thread 0x7fff682ff700 (LWP 32342)]
[New Thread 0x7fff67afe700 (LWP 32343)]
[New Thread 0x7fff672fd700 (LWP 32344)]
[New Thread 0x7fff665ff700 (LWP 32345)]
I/SampleTable(31875): There are reordered frames present.
[New Thread 0x7fff64cff700 (LWP 32346)]
[New Thread 0x7fff640ff700 (LWP 32347)]
[New Thread 0x7fff636ff700 (LWP 32348)]
[New Thread 0x7fff628ff700 (LWP 32349)]
I/SampleTable(31875): There are reordered frames present.
[New Thread 0x7fff5fbff700 (LWP 32350)]
[New Thread 0x7fff5f0ff700 (LWP 32351)]
[New Thread 0x7fff5e4ff700 (LWP 32352)]
[New Thread 0x7fff5dcfe700 (LWP 32353)]
[New Thread 0x7fff531ff700 (LWP 32409)]
[New Thread 0x7fff4cfff700 (LWP 32433)]
[New Thread 0x7fff4c7fe700 (LWP 32434)]
[Thread 0x7fff4c7fe700 (LWP 32434) exited]
[Thread 0x7fff4cfff700 (LWP 32433) exited]
[New Thread 0x7fff492ff700 (LWP 32456)]
[New Thread 0x7fff462ff700 (LWP 32492)]
[Thread 0x7fffa4cbd700 (LWP 32340) exited]
[Thread 0x7fffa4cfe700 (LWP 32337) exited]
[Thread 0x7fffa827b700 (LWP 32336) exited]
[Thread 0x7fffa82bc700 (LWP 32335) exited]
[Thread 0x7fffa82fd700 (LWP 32333) exited]
[Thread 0x7fffa9477700 (LWP 32332) exited]
[Thread 0x7fffa94b8700 (LWP 32331) exited]
[Thread 0x7fffae7bd700 (LWP 32324) exited]
[Thread 0x7fffce670700 (LWP 32317) exited]
[Thread 0x7fffc92a0700 (LWP 32318) exited]
[Thread 0x7fffae77c700 (LWP 32325) exited]
[Thread 0x7fffbf560700 (LWP 32321) exited]
[Thread 0x7fffc1a5e700 (LWP 32320) exited]
[Thread 0x7fffae7fe700 (LWP 32323) exited]
[Thread 0x7fffb9450700 (LWP 32322) exited]
[Thread 0x7fffc2050700 (LWP 32319) exited]
[Thread 0x7fffa94f9700 (LWP 32326) exited]
[Thread 0x7fffb9cfd700 (LWP 31960) exited]
[Thread 0x7fffcf4fe700 (LWP 32292) exited]
[Thread 0x7fffa54ff700 (LWP 32303) exited]
[Thread 0x7fff73cff700 (LWP 32243) exited]
[New Thread 0x7fff73cff700 (LWP 32613)]
[Thread 0x7fff73cff700 (LWP 32613) exited]
[Thread 0x7fffbfdfc700 (LWP 31947) exited]
[New Thread 0x7fffbfdfc700 (LWP 315)]
[New Thread 0x7fffa54ff700 (LWP 316)]
[New Thread 0x7fffb9cfd700 (LWP 317)]
[Thread 0x7fffbfdfc700 (LWP 315) exited]
[Thread 0x7fffb9cfd700 (LWP 317) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffd6bb2700 (LWP 31894)]
0x00007fffc5829294 in list_get_at (l=0x7fff45864170, pos=0) at simclist.c:370
370         return (tmp != NULL ? tmp->data : NULL);
Missing separate debuginfos, use: dnf debuginfo-install google-talkplugin-5.41.0.0-1.x86_64 x264-libs-0.148-5.20160118git5c65704.fc23.x86_64
(gdb) bt
#0  0x00007fffc5829294 in list_get_at (l=0x7fff45864170, pos=0) at simclist.c:370
#1  0x00007fffc5816732 in C_FindObjectsInit (hSession=<optimized out>, pTemplate=0x7fffd6bb0b70, ulCount=2) at pkcs11-object.c:357
#2  0x00007fffe2cf0594 in find_objects (tok=0x7fff452a2830, sessionOpt=<optimized out>, obj_template=obj_template@entry=0x7fffd6bb0b70, otsize=otsize@entry=2, maximumOpt=10, statusOpt=0x7fffd6bb0c14) at devtoken.c:296
#3  0x00007fffe2cf0b44 in nssToken_FindObjects (token=<optimized out>, sessionOpt=sessionOpt@entry=0x0, objclass=objclass@entry=3461563219, searchType=searchType@entry=nssTokenSearchType_TokenForced, maximumOpt=maximumOpt@entry=10, statusOpt=statusOpt@entry=0x7fffd6bb0c14) at devtoken.c:594
#4  0x00007fffe2cf3071 in nssTokenObjectCache_FindObjectsByTemplate (objclass=3461563219, objectType=1, cache=0x7fff89a68050) at devutil.c:571
#5  0x00007fffe2cf3071 in nssTokenObjectCache_FindObjectsByTemplate (cache=0x7fff89a68050, objclass=objclass@entry=3461563219, otemplate=otemplate@entry=0x7fffd6bb0cd0, otlen=otlen@entry=4, maximumOpt=maximumOpt@entry=1, statusOpt=statusOpt@entry=0x7fffd6bb0c74) at devutil.c:737
#6  0x00007fffe2cf08aa in find_objects_by_template (token=0x7fff452a2830, sessionOpt=0x7fff452a30e8, obj_template=obj_template@entry=0x7fffd6bb0cd0, otsize=4, maximumOpt=maximumOpt@entry=1, statusOpt=statusOpt@entry=0x0) at devtoken.c:420
#7  0x00007fffe2cf1977 in nssToken_FindTrustForCertificate (token=token@entry=0x7fff452a2830, sessionOpt=sessionOpt@entry=0x0, certEncoding=certEncoding@entry=0x7fff47266920, certIssuer=certIssuer@entry=0x7fff47266930, certSerial=certSerial@entry=0x7fff47266950, searchType=searchType@entry=nssTokenSearchType_TokenOnly) at devtoken.c:1146
#8  0x00007fffe2cea773 in nssTrustDomain_FindTrustForCertificate (td=0x7fffc79e6830, c=c@entry=0x7fff472668c0) at trustdomain.c:1075
#9  0x00007fffe2ceea0c in nssTrust_GetCERTCertTrustForCert (c=c@entry=0x7fff472668c0, cc=cc@entry=0x7fff54a1c020) at pki3hack.c:617
#10 0x00007fffe2ceecb8 in stan_GetCERTCertificate (forced=0, cc=0x7fff54a1c020, c=0x7fff472668c0) at pki3hack.c:824
#11 0x00007fffe2ceecb8 in stan_GetCERTCertificate (c=0x7fff472668c0, forceUpdate=forceUpdate@entry=0) at pki3hack.c:896
#12 0x00007fffe2cef187 in STAN_GetCERTCertificate (c=<optimized out>) at pki3hack.c:929
#13 0x00007fffe2ce8d6d in nssCertificate_GetDecoding (c=0x7fff472668c0) at certificate.c:286
#14 0x00007fffe2ce92ce in nssCertificate_SubjectListSort (v1=<optimized out>, v2=0x7fff7c7418c0) at certificate.c:743
#15 0x00007fffe2cf54ad in nsslist_add_element (list=list@entry=0x7fff7e03b030, data=data@entry=0x7fff472668c0) at list.c:193
#16 0x00007fffe2cf57b3 in nssList_AddUnique (list=0x7fff7e03b030, data=data@entry=0x7fff472668c0) at list.c:242
#17 0x00007fffe2ceb2d3 in nssTrustDomain_AddCertsToCache (cache=0x7fffc79e8030, subjectList=<synthetic pointer>, nickname=0x7fff4f7ae7d0 "Google Internet Authority G2", cert=0x7fff472668c0, arena=0x7fff4becfca0) at tdcache.c:536
#18 0x00007fffe2ceb2d3 in nssTrustDomain_AddCertsToCache (td=0x7fffc79e6830, cert=0x7fff472668c0) at tdcache.c:771
#19 0x00007fffe2ceb2d3 in nssTrustDomain_AddCertsToCache (td=0x7fffc79e6830, certs=certs@entry=0x7fffd6bb0f70, numCerts=numCerts@entry=1) at tdcache.c:861
#20 0x00007fffe2cec842 in cert_createObject (o=0x7fff47266830) at pkibase.c:1048
---Type <return> to continue, or q <return> to quit---
#21 0x00007fffe2ced985 in nssPKIObjectCollection_GetCRLs (rvSize=3, rvObjects=0x7fff4f7ae7a0, collection=0x7fff4726f830) at pkibase.c:881
#22 0x00007fffe2ced985 in nssPKIObjectCollection_GetCRLs (collection=0x7fff4726f830, rvOpt=0x7fff4f7ae7a0, maximumOpt=<optimized out>, arenaOpt=<optimized out>) at pkibase.c:1213
#23 0x00007fffe2cea253 in nssTrustDomain_FindCertificatesBySubject (td=td@entry=0x7fffc79e6830, subject=subject@entry=0x7fffd6bb1060, rvOpt=rvOpt@entry=0x0, maximumOpt=maximumOpt@entry=0, arenaOpt=arenaOpt@entry=0x0) at trustdomain.c:637
#24 0x00007fffe2cea285 in NSSTrustDomain_FindCertificatesBySubject (td=td@entry=0x7fffc79e6830, subject=subject@entry=0x7fffd6bb1060, rvOpt=rvOpt@entry=0x0, maximumOpt=maximumOpt@entry=0, arenaOpt=arenaOpt@entry=0x0) at trustdomain.c:662
#25 0x00007fffe2ce6238 in CERT_CreateSubjectCertList (certList=certList@entry=0x0, handle=0x7fffc79e6830, name=name@entry=0x7fffd6bb10d0, sorttime=sorttime@entry=0, validOnly=validOnly@entry=0) at stanpcertdb.c:718
#26 0x00007fffe65ee3f1 in mozilla::psm::NSSCertDBTrustDomain::FindIssuer(mozilla::pkix::Input, mozilla::pkix::TrustDomain::IssuerChecker&, mozilla::pkix::Time) (this=<optimized out>, encodedIssuerName=..., checker=...) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/certverifier/NSSCertDBTrustDomain.cpp:143
#27 0x00007fffe65f0aab in mozilla::pkix::BuildForward(mozilla::pkix::TrustDomain&, mozilla::pkix::BackCert const&, mozilla::pkix::Time, mozilla::pkix::KeyUsage, mozilla::pkix::KeyPurposeId, mozilla::pkix::CertPolicyId const&, mozilla::pkix::Input const*, unsigned int) (trustDomain=..., subject=..., time=time@entry=..., requiredKeyUsageIfPresent=requiredKeyUsageIfPresent@entry=mozilla::pkix::KeyUsage::digitalSignature, requiredEKUIfPresent=requiredEKUIfPresent@entry=mozilla::pkix::KeyPurposeId::id_kp_serverAuth, requiredPolicy=..., stapledOCSPResponse=0x0, subCACount=0) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/pkix/lib/pkixbuild.cpp:322
#28 0x00007fffe65f12fc in mozilla::pkix::BuildCertChain(mozilla::pkix::TrustDomain&, mozilla::pkix::Input, mozilla::pkix::Time, mozilla::pkix::EndEntityOrCA, mozilla::pkix::KeyUsage, mozilla::pkix::KeyPurposeId, mozilla::pkix::CertPolicyId const&, mozilla::pkix::Input const*) (trustDomain=..., certDER=..., time=time@entry=..., endEntityOrCA=endEntityOrCA@entry=mozilla::pkix::EndEntityOrCA::MustBeEndEntity, requiredKeyUsageIfPresent=requiredKeyUsageIfPresent@entry=mozilla::pkix::KeyUsage::digitalSignature, requiredEKUIfPresent=mozilla::pkix::KeyPurposeId::id_kp_serverAuth, requiredPolicy=..., stapledOCSPResponse=0x0) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/pkix/lib/pkixbuild.cpp:360
#29 0x00007fffe65ed047 in mozilla::psm::BuildCertChainForOneKeyUsage(mozilla::psm::NSSCertDBTrustDomain &, mozilla::pkix::Input, mozilla::pkix::Time, const mozilla::pkix::CertPolicyId &, const mozilla::pkix::Input *, mozilla::psm::CertVerifier::OCSPStaplingStatus *, enum class mozilla::pkix::KeyPurposeId, enum class mozilla::pkix::KeyUsage, enum class mozilla::pkix::KeyUsage, enum class mozilla::pkix::KeyUsage) (trustDomain=..., certDER=..., time=..., 
    time@entry=..., requiredPolicy=..., stapledOCSPResponse=stapledOCSPResponse@entry=0x0, ocspStaplingStatus=0x0, eku=mozilla::pkix::KeyPurposeId::id_kp_serverAuth, ku3=mozilla::pkix::KeyUsage::keyAgreement, ku2=mozilla::pkix::KeyUsage::keyEncipherment, ku1=mozilla::pkix::KeyUsage::digitalSignature)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/certverifier/CertVerifier.cpp:95
#30 0x00007fffe65eedbd in mozilla::psm::CertVerifier::VerifyCert(CERTCertificateStr*, long, mozilla::pkix::Time, void*, char const*, unsigned int, SECItemStr const*, mozilla::TypeSpecificScopedPointer<CERTCertListStr>*, SECOidTag*, mozilla::psm::CertVerifier::OCSPStaplingStatus*, mozilla::psm::KeySizeStatus*, mozilla::psm::SignatureDigestStatus*, mozilla::psm::PinningTelemetryInfo*) (this=this@entry=0x7fffc4511800, cert=cert@entry=0x7fffa44b4820, usage=usage@entry=2, time=..., pinArg=0x0, hostname=hostname@entry=0x7fffd6bb1888 "clients2.google.com", fl---Type <return> to continue, or q <return> to quit---
ags=1, stapledOCSPResponseSECItem=0x0, builtChain=0x7fffd6bb1760, evOidPolicy=0x0, ocspStaplingStatus=0x0, keySizeStatus=0x0, sigDigestStatus=0x0, pinningTelemetryInfo=0x0)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/certverifier/CertVerifier.cpp:354
#31 0x00007fffe65ef78a in mozilla::psm::CertVerifier::VerifySSLServerCert(CERTCertificateStr*, SECItemStr const*, mozilla::pkix::Time, void*, char const*, bool, unsigned int, mozilla::TypeSpecificScopedPointer<CERTCertListStr>*, SECOidTag*, mozilla::psm::CertVerifier::OCSPStaplingStatus*, mozilla::psm::KeySizeStatus*, mozilla::psm::SignatureDigestStatus*, mozilla::psm::PinningTelemetryInfo*) (this=0x7fffc4511800, peerCert=0x7fffa44b4820, stapledOCSPResponse=stapledOCSPResponse@entry=0x0, time=..., pinarg=pinarg@entry=0x0, hostname=hostname@entry=0x7fffd6bb1888 "clients2.google.com", saveIntermediatesInPermanentDatabase=false, flags=1, builtChain=0x0, evOidPolicy=0x0, ocspStaplingStatus=0x0, keySizeStatus=0x0, sigDigestStatus=0x0, pinningTelemetryInfo=0x0) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/certverifier/CertVerifier.cpp:574
#32 0x00007fffe7ce1064 in nsNSSSocketInfo::IsAcceptableForHost(nsACString_internal const&, bool*) (this=<optimized out>, hostname=..., _retval=0x7fffd6bb1933)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/manager/ssl/nsNSSIOLayer.cpp:387
#33 0x00007fffe7ce10fd in nsNSSSocketInfo::JoinConnection(nsACString_internal const&, nsACString_internal const&, int, bool*) (this=
    0x7fffb49c93c0, npnProtocol=..., hostname=..., port=<optimized out>, _retval=0x7fffd6bb1933)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/security/manager/ssl/nsNSSIOLayer.cpp:419
#34 0x00007fffe679527a in mozilla::net::nsHttpConnectionMgr::GetSpdyPreferredEnt(mozilla::net::nsHttpConnectionMgr::nsConnectionEntry*) (this=this@entry=0x7fffce99e400, aOriginalEntry=aOriginalEntry@entry=0x7fff8b0f9a90) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/protocol/http/nsHttpConnectionMgr.cpp:810
#35 0x00007fffe6795592 in mozilla::net::nsHttpConnectionMgr::GetSpdyPreferredConn(mozilla::net::nsHttpConnectionMgr::nsConnectionEntry*) (this=this@entry=0x7fffce99e400, ent=ent@entry=0x7fff8b0f9a90) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/protocol/http/nsHttpConnectionMgr.cpp:2299
#36 0x00007fffe67a81bf in mozilla::net::nsHttpConnectionMgr::ProcessSpdyPendingQ(mozilla::net::nsHttpConnectionMgr::nsConnectionEntry*) (this=this@entry=0x7fffce99e400, ent=ent@entry=0x7fff8b0f9a90) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/protocol/http/nsHttpConnectionMgr.cpp:2231
#37 0x00007fffe67a83aa in mozilla::net::nsHttpConnectionMgr::ProcessPendingQForEntry(mozilla::net::nsHttpConnectionMgr::nsConnectionEntry*, bool) (this=0x7fffce99e400, ent=0x7fff8b0f9a90, considerAll=considerAll@entry=false) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/protocol/http/nsHttpConnectionMgr.cpp:1112
#38 0x00007fffe67a850a in mozilla::net::nsHttpConnectionMgr::ProcessOneTransactionCB(nsACString_internal const&, nsAutoPtr<mozilla::net::nsHttpConnectionMgr::nsConnectionEntry>&, void*) (key=..., ent=..., closure=<optimized out>) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/protocol/http/nsHttpConnectionMgr.cpp:850
#39 0x00007fffe678bbc8 in nsBaseHashtable<nsCStringHashKey, nsAutoPtr<mozilla::net::nsHttpConnectionMgr::nsConnectionEntry>, mozilla::net::nsHttpConnectionMgr::nsConnectionEntry*>::Enumerate(PLDHashOperator (*)(nsACString_internal const&, nsAutoPtr<mozilla::net::nsHttpConnectionMgr::nsConnectionEntry>&, void*), void*) (this=<optimized out>, aEnumFunc=0x7fffe67a84fc <mozilla::net::nsHttpConnectionMgr::ProcessOneTransactionCB(nsACString_internal const&, nsAutoPtr<mozilla::net::nsHttpConnectionMgr::nsConnectionEntry>&, void*)>, aUserArg=0x7fffce99e400)
    at ../../../dist/include/nsBaseHashtable.h:221
#40 0x00007fffe67a881e in mozilla::net::nsHttpConnectionMgr::OnMsgReclaimConnection(int, mozilla::net::ARefBase*) (this=0x7fffce99e400, param=<optimized out>)
---Type <return> to continue, or q <return> to quit---
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/protocol/http/nsHttpConnectionMgr.cpp:2687
#41 0x00007fffe677d677 in mozilla::net::ConnEvent::Run() (this=<optimized out>) at ../../../dist/include/mozilla/RefPtr.h:295
#42 0x00007fffe677d677 in mozilla::net::ConnEvent::Run() (this=<optimized out>) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/protocol/http/nsHttpConnectionMgr.cpp:211
#43 0x00007fffe6646792 in nsThread::ProcessNextEvent(bool, bool*) (this=0x7ffff6b64600, aMayWait=<optimized out>, aResult=0x7fffd6bb1c67)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/xpcom/threads/nsThread.cpp:964
#44 0x00007fffe66625e1 in NS_ProcessNextEvent(nsIThread*, bool) (aThread=<optimized out>, aThread@entry=0x7ffff6b64600, aMayWait=aMayWait@entry=true)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/xpcom/glue/nsThreadUtils.cpp:297
#45 0x00007fffe66c8b1b in nsSocketTransportService::Run() (this=0x7ffff6b57c70) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/netwerk/base/nsSocketTransportService2.cpp:907
#46 0x00007fffe6646792 in nsThread::ProcessNextEvent(bool, bool*) (this=0x7ffff6b64600, aMayWait=<optimized out>, aResult=0x7fffd6bb1dc7)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/xpcom/threads/nsThread.cpp:964
#47 0x00007fffe66625e1 in NS_ProcessNextEvent(nsIThread*, bool) (aThread=<optimized out>, aMayWait=aMayWait@entry=true)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/xpcom/glue/nsThreadUtils.cpp:297
#48 0x00007fffe683d560 in mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate*) (this=0x7fffe9f1e4c0, aDelegate=0x7ffff6ba9260)
    at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/ipc/glue/MessagePump.cpp:355
#49 0x00007fffe6828d18 in MessageLoop::Run() (this=<optimized out>) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/ipc/chromium/src/base/message_loop.cc:227
#50 0x00007fffe6828d18 in MessageLoop::Run() (this=this@entry=0x7ffff6ba9260) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/ipc/chromium/src/base/message_loop.cc:201
#51 0x00007fffe6649f04 in nsThread::ThreadFunc(void*) (aArg=0x7ffff6b64600) at /usr/src/debug/firefox-44.0.1/firefox-44.0.1/xpcom/threads/nsThread.cpp:376
#52 0x00007fffe343d5db in _pt_root (arg=0x7ffff6b9e920) at ../../../nspr/pr/src/pthreads/ptthread.c:212
#53 0x00007ffff7bc660a in start_thread (arg=0x7fffd6bb2700) at pthread_create.c:334
#54 0x00007ffff6e61a4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109
(gdb)
Germano, does this still reproduce for you?
(all your crash reports mentioned here have aged out, and I find no new ones from the past 6 months with your email address)
Flags: needinfo?(germano.massullo)
Status: UNCONFIRMED → RESOLVED
Last Resolved: a year ago
Resolution: --- → INCOMPLETE
(Reporter)

Comment 11

a year ago
(In reply to Wayne Mery (:wsmwk, NI for questions) from comment #10)
> (all your crash reports mentioned here have aged out, and I find no new ones
> from the past 6 months with your email address)

Because I have no longer used my card reader. I have just triggered a crash, so give a look again, thank you.
opensc-0.16.0-1.fc25.x86_64
firefox-52.0-6.fc25.x86_64
Status: RESOLVED → UNCONFIRMED
Flags: needinfo?(germano.massullo)
Resolution: INCOMPLETE → ---
Version: 44 Branch → 52 Branch
please post your crash IDs
Flags: needinfo?(germano.massullo)
Status: UNCONFIRMED → RESOLVED
Last Resolved: a year agoa year ago
Resolution: --- → INCOMPLETE
(Reporter)

Comment 13

5 months ago
(In reply to Wayne Mery (:wsmwk) from comment #12)
> please post your crash IDs

I did not know that it was possible to retrieve sent crash IDs, I just found out that.
https://crash-stats.mozilla.com/report/index/7ca8696c-0e32-419c-9e7e-ec6cd2170329
Status: RESOLVED → UNCONFIRMED
Flags: needinfo?(germano.massullo)
Resolution: INCOMPLETE → ---
Do you know what version of opensc you have? I believe the most recent version (0.17) fixed some issues. Also, what if you update to a more recent version of Firefox? (57 is the latest stable release)
Flags: needinfo?(germano.massullo)
(Reporter)

Comment 15

5 months ago
(In reply to David Keeler [:keeler] (use needinfo) from comment #14)
> Do you know what version of opensc you have? I believe the most recent
> version (0.17) fixed some issues. Also, what if you update to a more recent
> version of Firefox? (57 is the latest stable release)

Yes my system software has been updated, I will try triggering the bug as soon as possible
Flags: needinfo?(germano.massullo)

Comment 16

5 months ago
(In reply to Germano Massullo from comment #13)
> bp-7ca8696c-0e32-419c-9e7e-ec6cd2170329

onepin-opensc-pkcs11.so@0x1f0b3
You need to log in before you can comment on or make changes to this bug.